Sign In with your
Trend Micro Account
Need Help?
Need More Help?

Create a technical support case if you need further support.

Digital Vaccine #9565

    • Updated:
    • 11 Aug 2021
    • Product/Version:
    • TippingPoint Digital Vaccine
    • Platform:
Summary
Digital Vaccine #9565      August 10, 2021
Details
Public
Thank you for subscribing to Digital Vaccine updates brought to you by Trend Micro™ TippingPoint DVLabs.

New content is now available at the Threat Management Center (TMC): https://tmc.tippingpoint.com.
 
System Requirements
The 3.2.0 DV will run on IPS devices with TOS v3.2.0 and above,  and all TPS systems. The 4.0.0 DV will only run on the Virtual Threat Protection System (vTPS) appliance. Please note that vTPS does not currently support pre-disclosed ZDI filters.
 
Microsoft Security Bulletins
This DV includes coverage for the Microsoft vulnerabilities released on or before August 10, 2021. The following table maps TippingPoint filters to the Microsoft CVEs.
CVEFilterStatus
CVE-2021-26423 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-26424 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-26425 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-26426 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-26428 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-26429 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-26430 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-26431 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-2643240090 
CVE-2021-26433 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-33762 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-34471 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-34478 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-3448040071 
CVE-2021-34483 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-34484 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-34485 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-34486 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-34487 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-34524 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-34530 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-34532 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-34533 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-34534 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-34535 Under Investigation
CVE-2021-34536 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-34537 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36926 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36927 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36932 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36933 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36936 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36937 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36938 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36940 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36941 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36942 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36943 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36945 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36946 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36947 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36948 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36949 Vendor Deemed Reproducibility or Exploitation Unlikely
CVE-2021-36950 Vendor Deemed Reproducibility or Exploitation Unlikely
Filters marked with * shipped prior to this DV, providing zero-day protection.
 
The Digital Vaccine can be manually downloaded from the following URLs:
https://tmc.tippingpoint.com/TMC/ViewPackage?parentFolderId=digital_vaccines&contentId=SIG_3.2.0_9565.pkg
https://tmc.tippingpoint.com/TMC/ViewPackage?parentFolderId=vsa_dv&contentId=SIG_VTPS_4.0.0_9565.pkg

Update Details

Table of Contents
--------------------------

Filters
 New Filters - 12
 Modified Filters (logic changes) - 2
 Modified Filters (metadata changes only) - 1
 Removed Filters - 1

Filters
----------------
  New Filters: 

    40027: HTTP: Jenkins Extra Columns Plugin Cross-Site Scripting Vulnerability
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Category: Vulnerabilities
      - Severity: Critical
      - Description: This filter detects an attempt to exploit a cross-site-scripting vulnerability in Jenkins Extra Columns Plugin.
      - Deployments:
        - Deployment: Security-Optimized (Block / Notify)
      - References:
        - Common Vulnerabilities and Exposures: CVE-2021-21630
      - Classification: Vulnerability - Input Validation (Command injection, XSS, SQL injection, etc)
      - Protocol: HTTP
      - Platform: Multi-Platform Server Application or Service
      - Release Date: August 10, 2021

    40035: HTTP: Google Chrome MediaElementEventListener Use-After-Free Vulnerability
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Category: Vulnerabilities
      - Severity: Critical
      - Description: This filter detects an attempt to exploit a use-after-free vulnerability in Google Chrome.
      - Deployments:
        - Deployment: Security-Optimized (Block / Notify)
      - References:
        - Common Vulnerabilities and Exposures: CVE-2020-6549
      - Classification: Vulnerability - Other
      - Protocol: HTTP
      - Platform: Multi-Platform Client Application
      - Release Date: August 10, 2021

    40056: HTTP: Advantech R-SeeNet device_graph_page.php Cross-Site Scripting Vulnerability
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Category: Vulnerabilities
      - Severity: Critical
      - Description: This filter detects an attempt to exploit a cross-site scripting vulnerability in Advantech R-SeeNet.
      - Deployments:
        - Deployment: Security-Optimized (Block / Notify)
      - References:
        - Common Vulnerabilities and Exposures: CVE-2021-21801 CVSS 4.3, CVE-2021-21802 CVSS 4.3, CVE-2021-21803 CVSS 4.3
      - Classification: Vulnerability - Input Validation (Command injection, XSS, SQL injection, etc)
      - Protocol: HTTP
      - Platform: Multi-Platform Server Application or Service
      - Release Date: August 10, 2021

    40058: TCP: Zabbix Server Active Checks Command Injection Vulnerability
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Category: Vulnerabilities
      - Severity: Critical
      - Description: This filter detects an attempt to exploit a command injection vulnerability in Zabbix Server.
      - Deployments:
        - Deployment: Default (Block / Notify)
        - Deployment: Performance-Optimized (Disabled)
      - References:
        - Common Vulnerabilities and Exposures: CVE-2020-11800
      - Classification: Vulnerability - Input Validation (Command injection, XSS, SQL injection, etc)
      - Protocol: TCP (Generic)
      - Platform: Multi-Platform Server Application or Service
      - Release Date: August 10, 2021

    40064: HTTP: D-Link Various Routers Remote Code Execution Vulnerability
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Category: Vulnerabilities
      - Severity: Critical
      - Description: This filter detects an attempt to exploit a remote code execution in various D-Link routers.
      - Deployment: Not enabled by default in any deployment.
      - References:
        - Common Vulnerabilities and Exposures: CVE-2019-16920
      - Classification: Vulnerability - Other
      - Protocol: HTTP
      - Platform: Networked Hardware Device Application or Service
      - Release Date: August 10, 2021

    40068: HTTP: Jenkins Config File Provider Plugin External Entity Injection Vulnerability
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Category: Vulnerabilities
      - Severity: Critical
      - Description: This filter detects an attempt to exploit an external entity injection vulnerability in Jenkins Config File Provider Plugin.
      - Deployments:
        - Deployment: Security-Optimized (Block / Notify)
      - References:
        - Common Vulnerabilities and Exposures: CVE-2021-21642 CVSS 5.5
      - Classification: Vulnerability - Input Validation (Command injection, XSS, SQL injection, etc)
      - Protocol: HTTP
      - Platform: Multi-Platform Server Application or Service
      - Release Date: August 10, 2021

    40069: UDP: Malformed Translogic Protocol Packet (Small)
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Category: Security Policy
      - Severity: Moderate
      - Description: This filter detects a TLP20 packet that is less than 20 bytes.
      - Deployment: Not enabled by default in any deployment.
      - References:
        - Common Vulnerabilities and Exposures: CVE-2021-37161
      - Classification: Security Policy - Forbidden Application Access or Service Request
      - Protocol: HTTP
      - Platform: Multi-Platform Client Application
      - Release Date: August 10, 2021

    40070: UDP: Malformed Translogic Protocol Packet (Large)
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Category: Security Policy
      - Severity: Moderate
      - Description: This filter detects a TLP20 packet that has more than 350 bytes.
      - Deployment: Not enabled by default in any deployment.
      - References:
        - Common Vulnerabilities and Exposures: CVE-2021-37164
      - Classification: Security Policy - Forbidden Application Access or Service Request
      - Protocol: HTTP
      - Platform: Multi-Platform Client Application
      - Release Date: August 10, 2021

    40071: HTTP: Microsoft Windows JScript Memory Corruption Vulnerability
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Category: Exploits
      - Severity: Critical
      - Description: This filter detects an attempt to exploit a memory corruption vulnerability in Microsoft Windows.
      - Deployments:
        - Deployment: Security-Optimized (Block / Notify)
      - References:
        - Common Vulnerabilities and Exposures: CVE-2021-34480
      - Classification: Vulnerability - Other
      - Protocol: HTTP
      - Platform: Windows Client Application
      - Release Date: August 10, 2021

    40084: HTTP: Microsoft Internet Explorer Scripting Engine Memory Corruption Vulnerability
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Category: Exploits
      - Severity: Critical
      - Description: This filter detects an attempt to exploit a memory corruption vulnerability in Microsoft Internet Explorer.
      - Deployments:
        - Deployment: Security-Optimized (Block / Notify)
      - References:
        - Common Vulnerabilities and Exposures: CVE-2021-34448
      - Classification: Vulnerability - Other
      - Protocol: HTTP
      - Platform: Windows Client Application
      - Release Date: August 10, 2021

    40085: HTTP: Alibaba Nacos ConfigOpsController Authentication Bypass Vulnerability
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Category: Vulnerabilities
      - Severity: Critical
      - Description: This filter detects an attempt to exploit an authentication bypass vulnerability in Alibaba Nacos.
      - Deployments:
        - Deployment: Security-Optimized (Block / Notify)
      - References:
        - Common Vulnerabilities and Exposures: CVE-2021-29441
      - Classification: Vulnerability - Other
      - Protocol: HTTP
      - Platform: Other Server Application or Service
      - Release Date: August 10, 2021

    40090: UDP: Microsoft Windows RPCXDR Kernel Driver Out-of-Bounds Write Vulnerability
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Category: Exploits
      - Severity: Critical
      - Description: This filter detects an attempt to exploit an out-of-bounds write vulnerability in Microsoft Windows.
      - Deployments:
        - Deployment: Security-Optimized (Block / Notify)
      - References:
        - Common Vulnerabilities and Exposures: CVE-2021-26432
      - Classification: Vulnerability - Other
      - Protocol: UDP (Generic)
      - Platform: Windows Server Application or Service
      - Release Date: August 10, 2021

  Modified Filters (logic changes):
    * = Enabled in Default deployments

    39365: HTTP: Apache Superset Markdown Component Stored Cross-Site Scripting Vulnerability 
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Detection logic updated.
      - Release Date: March 30, 2021
      - Last Modified Date: August 10, 2021

    39536: HTTP: Apple Safari Integer Overflow Vulnerability (Pwn2Own ZDI-21-769)
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Detection logic updated.
      - Release Date: April 08, 2021
      - Last Modified Date: August 10, 2021

  Modified Filters (metadata changes only):
    * = Enabled in Default deployments

    40036: RPC: Microsoft Windows EfsRpcOpenFileRaw Request (PetitPotam)
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: 4.0.1 and after.
      - Name changed from "40036: RPC: Microsoft Windows EfsRpcOpenFileRaw Request".
      - Description updated.
      - Release Date: July 27, 2021
      - Last Modified Date: August 10, 2021

  Removed Filters:

    39628: ZDI-CAN-13716: Zero Day Initiative Vulnerability (AutoDesk Navisworks)
      - IPS Version: 3.6.2 and after.
      - TPS Version: 4.0.0 and after.
      - vTPS Version: Not available.
      - Release Date: May 04, 2021
      - Last Modified Date: July 06, 2021
      
Top of the Page
Premium
Internal
Partner
Rating:
Category:
Configure; Troubleshoot; Deploy
Solution Id:
TP000288308
Feedback
Did this article help you?

Thank you for your feedback!


*This form is automated system. General questions, technical, sales, and product-related issues submitted through this form will not be answered.

If you need additional help, you may try to contact the support team. Contact Support

To help us improve the quality of this article, please leave your email here so we can clarify further your feedback, if neccessary:
We will not send you spam or share your email address.

*This form is automated system. General questions, technical, sales, and product-related issues submitted through this form will not be answered.